# TODO: package /etc/dracut.conf.d/50-dahdi.conf
#
# Conditional build
%bcond_without	ppp		# pppd plugin
#
Summary:	DAHDI telephony device support
Summary(pl.UTF-8):	Obsługa urządzeń telefonicznych DAHDI
Name:		dahdi-tools
Version:	3.1.0
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.asterisk.org/pub/telephony/dahdi-tools/%{name}-%{version}.tar.gz
# Source0-md5:	bc9f39264e5a862dde92f206c55d1162
Source1:	dahdi.init
Source2:	dahdi.sysconfig
Patch0:		%{name}-includes.patch
Patch1:		link.patch
URL:		http://www.asterisk.org/
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	dahdi-linux-devel >= 2.3.0
BuildRequires:	libpcap-devel
BuildRequires:	libtool
BuildRequires:	libusb-devel >= 1.0.9
BuildRequires:	newt-devel
BuildRequires:	perl-base
BuildRequires:	perl-tools-pod
%{?with_ppp:BuildRequires:	ppp-plugin-devel}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Requires:	libusb >= 1.0.9
Obsoletes:	dahdi-tools-utils
Obsoletes:	zaptel
Obsoletes:	zaptel-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DAHDI telephony device driver.

%description -l pl.UTF-8
Sterownik do urządzeń telefonicznych DAHDI.

%package devel
Summary:	DAHDI development headers
Summary(pl.UTF-8):	Pliki nagłówkowe DAHDI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dahdi-linux-devel
Obsoletes:	zaptel-devel

%description devel
DAHDI development headers.

%description devel -l pl.UTF-8
Pliki nagłówkowe DAHDI.

%package static
Summary:	DAHDI static library
Summary(pl.UTF-8):	Biblioteka statyczna DAHDI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
DAHDI static library.

%description static -l pl.UTF-8
Biblioteka statyczna DAHDI.

%package perl
Summary:	DAHDI utility programs written in Perl
Summary(pl.UTF-8):	Programy narzędziowe DAHDI napisane w Perlu
Group:		Applications/Communications
Requires:	perl-Dahdi = %{version}-%{release}

%description perl
DAHDI utility programs written in Perl.

%description perl -l pl.UTF-8
Programy narzędziowe DAHDI napisane w Perlu.

%package init
Summary:	DAHDI init scripts
Summary(pl.UTF-8):	Skrypty inicjalizujące DAHDI
Group:		Applications/Communications
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts
Obsoletes:	zaptel-init

%description init
DAHDI boot-time initialization.

%description init -l pl.UTF-8
Inicjalizacja DAHDI w czasie startu systemu.

%package -n dracut-dahdi-tools
Summary:	dracut rules for DAHDI kernel modules
Summary(pl.UTF-8):	Reguły dracut dla modułów jądra Linuksa dla DAHDI
Group:		Applications/System
Requires:	%{name} >= 2.2.0
Requires:	dracut

%description -n dracut-dahdi-tools
dracut rules for DAHDI kernel modules.

%description -n dracut-dahdi-tools -l pl.UTF-8
Reguły dracut dla modułów jądra Linuksa dla DAHDI.

%package -n udev-dahdi-tools
Summary:	udev rules for DAHDI kernel modules
Summary(pl.UTF-8):	Reguły udev dla modułów jądra Linuksa dla DAHDI
Group:		Applications/System
Obsoletes:	dahdi-linux-udev < 2.9.0
Obsoletes:	dahdi-tools-udev < 3.1.0
Requires:	%{name} >= 2.2.0
Requires:	udev-core

%description -n udev-dahdi-tools
udev rules for DAHDI kernel modules.

%description -n udev-dahdi-tools -l pl.UTF-8
Reguły udev dla modułów jądra Linuksa dla DAHDI.

%package -n bash-completion-dahdi
Summary:	Bash completion for DAHDI commands
Summary(pl.UTF-8):	Bashowe dopełnianie składni dla poleceń DAHDI
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion

%description -n bash-completion-dahdi
Bash completion for DAHDI commands.

%description -n bash-completion-dahdi -l pl.UTF-8
Bashowe dopełnianie składni dla poleceń DAHDI.

%package -n perl-Dahdi
Summary:	Perl interface to DAHDI
Summary(pl.UTF-8):	Perlowy interfejs do DAHDI
Group:		Development/Languages/Perl
# needs dahdi_scan
Requires:	%{name} = %{version}-%{release}

%description -n perl-Dahdi
Perl inferface to DAHDI.

%description -n perl-Dahdi -l pl.UTF-8
Perlowy interfejs do DAHDI.

%package -n ppp-plugin-dahdi
Summary:	DAHDI plugin for PPP daemon
Summary(pl.UTF-8):	Wtyczka DAHDI dla demona PPP
Group:		Libraries
Requires:	ppp

%description -n ppp-plugin-dahdi
DAHDI plugin for PPP daemon.

%description -n ppp-plugin-dahdi -l pl.UTF-8
Wtyczka DAHDI dla demona PPP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

cat > download-logger <<'EOF'
#!/bin/sh
# keep log of files make wanted to download in firmware/ dir
echo "$@" >> download.log
EOF
chmod a+rx download-logger

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--with-perllib=%{perl_vendorlib} \
	%{!?with_ppp:--without-ppp}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} -j1 install install-config \
	DESTDIR=$RPM_BUILD_ROOT \
	PPPD_VERSION=plugins \
	dracutconfdir=/etc/dracut.conf.d

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libtonezone.la
%if %{with ppp}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pppd/plugins/dahdi.{la,a}
%endif

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/dahdi
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/dahdi
touch $RPM_BUILD_ROOT%{_sysconfdir}/dahdi.conf

# sample configuration files - nothing enabled by default, so safe to install
%{__mv} $RPM_BUILD_ROOT%{_sysconfdir}/dahdi/assigned-spans.conf{.sample,}
%{__mv} $RPM_BUILD_ROOT%{_sysconfdir}/dahdi/span-types.conf{.sample,}
%{__mv} $RPM_BUILD_ROOT%{_sysconfdir}/dahdi/system.conf{.sample,}

# used by upstream (but not PLD) init script
%{__rm} $RPM_BUILD_ROOT%{_sysconfdir}/dahdi/{init.conf,modules.sample}

%clean
rm -rf $RPM_BUILD_ROOT

%post init
/sbin/chkconfig --add dahdi
%service dahdi restart

%preun init
if [ "$1" = "0" ]; then
	%service dahdi stop
	/sbin/chkconfig --del dahdi
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dahdi.conf
%dir %{_sysconfdir}/dahdi
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dahdi/system.conf
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dahdi/assigned-spans.conf
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dahdi/span-types.conf
%config(noreplace) %verify(not md5 mtime size) /etc/modprobe.d/dahdi-blacklist.conf
%config(noreplace) %verify(not md5 mtime size) /etc/modprobe.d/dahdi.conf
%attr(755,root,root) %{_sbindir}/astribank_*
%attr(755,root,root) %{_sbindir}/dahdi_cfg
%attr(755,root,root) %{_sbindir}/dahdi_maint
%attr(755,root,root) %{_sbindir}/dahdi_monitor
%attr(755,root,root) %{_sbindir}/dahdi_scan
%attr(755,root,root) %{_sbindir}/dahdi_speed
%attr(755,root,root) %{_sbindir}/dahdi_test
%attr(755,root,root) %{_sbindir}/dahdi_tool
%attr(755,root,root) %{_sbindir}/dahdi_span_assignments
%attr(755,root,root) %{_sbindir}/dahdi_span_types
%attr(755,root,root) %{_sbindir}/dahdi_waitfor_span_assignments
%attr(755,root,root) %{_sbindir}/fxotune
%attr(755,root,root) %{_sbindir}/sethdlc
%attr(755,root,root) %{_libdir}/libtonezone.so.2.*
%attr(755,root,root) %ghost %{_libdir}/libtonezone.so.2
%{_datadir}/dahdi
%{_mandir}/man8/astribank_*.8*
%{_mandir}/man8/dahdi_cfg.8*
%{_mandir}/man8/dahdi_maint.8*
%{_mandir}/man8/dahdi_monitor.8*
%{_mandir}/man8/dahdi_scan.8*
%{_mandir}/man8/dahdi_span_assignments.8*
%{_mandir}/man8/dahdi_span_types.8*
%{_mandir}/man8/dahdi_test.8*
%{_mandir}/man8/dahdi_tool.8*
%{_mandir}/man8/dahdi_waitfor_span_assignments.8*
%{_mandir}/man8/fxotune.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtonezone.so
%{_includedir}/dahdi/tonezone.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libtonezone.a

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/dahdi_genconf
%attr(755,root,root) %{_sbindir}/dahdi_hardware
%attr(755,root,root) %{_sbindir}/dahdi_registration
%attr(755,root,root) %{_sbindir}/lsdahdi
%attr(755,root,root) %{_sbindir}/twinstar
%attr(755,root,root) %{_sbindir}/xpp_blink
%attr(755,root,root) %{_sbindir}/xpp_sync
# for dahdi_genconf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dahdi/genconf_parameters
%{_mandir}/man8/dahdi_genconf.8*
%{_mandir}/man8/dahdi_hardware.8*
%{_mandir}/man8/dahdi_registration.8*
%{_mandir}/man8/lsdahdi.8*
%{_mandir}/man8/twinstar.8*
%{_mandir}/man8/xpp_blink.8*
%{_mandir}/man8/xpp_sync.8*

%files init
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/dahdi
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/dahdi

%files -n udev-dahdi-tools
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/udev/rules.d/dahdi.rules
%config(noreplace) %verify(not md5 mtime size) /etc/udev/rules.d/xpp.rules

%files -n dracut-dahdi-tools
%defattr(644,root,root,755)
/etc/dracut.conf.d/50-dahdi.conf

%files -n bash-completion-dahdi
%defattr(644,root,root,755)
/etc/bash_completion.d/dahdi

%files -n perl-Dahdi
%defattr(644,root,root,755)
%{perl_vendorlib}/Dahdi
%{perl_vendorlib}/Dahdi.pm

%if %{with ppp}
%files -n ppp-plugin-dahdi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pppd/plugins/dahdi.so
%endif
%changelog
* Mon Aug 24 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dahdi-tools.git;a=log;h=master

* Mon Aug 24 2020 Jan Rękorajski <baggins@pld-linux.org> 55c2ee1
- fix symbol clash breaking linking
- add dracut subpackage
- rename udev subpackage for consistency

* Sun Aug 23 2020 Jakub Bogusz <qboosh@pld-linux.org> ae9a054
- updated to 3.1.0

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b77eea2
- drop obsolete and outdated manual inclusion of rpm macros

* Sat May 13 2017 Jakub Bogusz <qboosh@pld-linux.org> a1dd5bc
- updated to 2.11.1
- removed outdated as-needed,perl-path patches

* Mon Jun 29 2015 Jakub Bogusz <qboosh@pld-linux.org> b220c47
- updated to 2.10.2

* Wed Apr 22 2015 Jakub Bogusz <qboosh@pld-linux.org> d18464a
- updated to 2.10.1

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> dab436d
- x32 rebuild
- release 2 (by relup.sh)

* Fri Nov 21 2014 Jakub Bogusz <qboosh@pld-linux.org> fe73f66
- updated to 2.10.0.1

* Thu Jun 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 94c20e1
- chmod +x ppp plugin

* Thu Jun 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 0160d02
- updated to 2.9.1
- added ppp plugin package

* Wed Feb 12 2014 Jakub Bogusz <qboosh@pld-linux.org> 629f39c
- updated to 2.9.0.1

* Sat Feb 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 84eca06
- handle unpackaged files

* Sat Feb 08 2014 Jan Rękorajski <baggins@pld-linux.org> fc45f4e
- up to 2.9.0
- udev rules moved here from kernel driver (dahdi-linux.spec)

* Fri Aug 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 4e2a9ef
- updated to 2.7.0.1

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 256e3dd
- updated to 2.7.0

* Sat Mar 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 955a90d
- updated to 2.6.2

* Mon Jan 28 2013 Jakub Bogusz <qboosh@pld-linux.org> bfab6dd
- perl-based tools require perl-Dahdi, so separated -perl to avoid circular dependencies

* Mon Jan 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 85663a1
- added includes patch (missing header for NULL)

* Mon Jan 28 2013 Jakub Bogusz <qboosh@pld-linux.org> d4845b0
- updated to 2.6.1
- general copy-pastos cleanup
- killed -utils package which was just a copy of binaries from base (please don't create *-tools-utils-programs packages either)
- /usr/include/dahdi dir is owned by dahdi-linux-devel, which is required by -devel anyway

* Sat Mar 05 2011 Caleb Maclennan <caleb@alerque.com> e2e6d41
- Up to 2.4.1

